jobs: List jobs

API: themuse.com:the-muse-api
Endpoint: /jobs
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 716ms

Description

Gets a list of jobs, sorted by relevance, trendiness, and other factors. Supports filtering by company, location, category, and level.

Parameters (7)

api_key (string, query, optional)

API key for higher rate limits (3600 requests/hour vs 500 without)

category (string, query, optional)

Filter by job category

company (string, query, optional)

Filter by company short name (e.g., 'spacex')

descending (boolean, query, optional, default: False)

Whether to show descending results

level (string, query, optional)

Filter by experience level (e.g., 'mid', 'senior')

location (string, query, optional)

Filter by job location (e.g., 'New York')

page (integer, query, required)

The page number to load (required)

Constraints: {'minimum': 0}

Examples (2)

List jobs openapi-spec
curl 'https://www.themuse.com/api/public/jobs?page=0&company=spacex&location=New+York&level=mid'
import requests

resp = requests.get(
    "https://www.themuse.com/api/public/jobs",
    params={
        'page': '0',
        'company': 'spacex',
        'location': 'New York',
        'level': 'mid',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("themuse")
result = api.fetch("jobs", page=0, company="spacex", location="New York", level="mid")

for item in result:
    print(item)
const resp = await fetch("https://www.themuse.com/api/public/jobs?page=0&company=spacex&location=New+York&level=mid");
const data = await resp.json();
List jobs probe-gate
curl 'https://www.themuse.com/api/public/jobs?page=0&descending=False&company=spacex&location=New+York&level=mid'
import requests

resp = requests.get(
    "https://www.themuse.com/api/public/jobs",
    params={
        'page': '0',
        'descending': 'False',
        'company': 'spacex',
        'location': 'New York',
        'level': 'mid',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("themuse")
result = api.fetch("jobs", page=0, descending="False", company="spacex", location="New York", level="mid")

for item in result:
    print(item)
const resp = await fetch("https://www.themuse.com/api/public/jobs?page=0&descending=False&company=spacex&location=New+York&level=mid");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:48:09.286775 200 716ms
2026-04-16 02:24:19.265280 200 286ms
2026-04-16 01:02:40.406388 200 302ms
2026-04-15 02:06:54.370724 200 592ms
2026-04-15 01:59:57.511935 200 768ms
2026-04-14 02:47:01.583952 200 910ms
2026-04-14 01:35:51.784416 200 705ms
2026-04-12 13:55:04.678935 200 822ms
2026-04-12 13:28:21.703743 200 614ms
2026-04-10 05:12:27.700304 200 512ms
2026-04-10 00:36:17.397471 200 503ms
2026-04-09 03:47:53.532171 200 910ms
2026-04-09 00:09:21.844783 200 686ms
2026-04-02T21:34:03.657372 200 441ms